searchNodes=[{"doc":"API calls for all endpoints tagged Assetlinks.","ref":"GoogleApi.DigitalAssetLinks.V1.Api.Assetlinks.html","title":"GoogleApi.DigitalAssetLinks.V1.Api.Assetlinks","type":"module"},{"doc":"Determines whether the specified (directional) relationship exists between the specified source and target assets. The relation describes the intent of the link between the two assets as claimed by the source asset. An example for such relationships is the delegation of privileges or permissions. This command is most often used by infrastructure systems to check preconditions for an action. For example, a client may want to know if it is OK to send a web URL to a particular mobile app instead. The client can check for the relevant asset link from the website to the mobile app to decide if the operation should be allowed. A note about security: if you specify a secure asset as the source, such as an HTTPS website or an Android app, the API will ensure that any statements used to generate the response have been made in a secure way by the owner of that asset. Conversely, if the source asset is an insecure HTTP website (that is, the URL starts with http:// instead of https://), the API cannot verify its statements securely, and it is not possible to ensure that the website&#39;s statements have not been altered by a third party. For more information, see the Digital Asset Links technical design specification. Parameters connection (type: GoogleApi.DigitalAssetLinks.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :relation (type: String.t) - Query string for the relation. We identify relations with strings of the format &lt;kind&gt;/&lt;detail&gt;, where &lt;kind&gt; must be one of a set of pre-defined purpose categories, and &lt;detail&gt; is a free-form lowercase alphanumeric string that describes the specific use case of the statement. Refer to our API documentation for the current list of supported relations. For a query to match an asset link, both the query&#39;s and the asset link&#39;s relation strings must match exactly. Example: A query with relation delegate_permission/common.handle_all_urls matches an asset link with relation delegate_permission/common.handle_all_urls. :&quot;source.androidApp.certificate.sha256Fingerprint&quot; (type: String.t) - The uppercase SHA-265 fingerprint of the certificate. From the PEM certificate, it can be acquired like this: $ keytool -printcert -file $CERTFILE | grep SHA256: SHA256: 14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83: \\ 42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 or like this: $ openssl x509 -in $CERTFILE -noout -fingerprint -sha256 SHA256 Fingerprint=14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64: \\ 16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 In this example, the contents of this field would be 14:6D:E9:83:C5:73: 06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF: 44:E5. If these tools are not available to you, you can convert the PEM certificate into the DER format, compute the SHA-256 hash of that string and represent the result as a hexstring (that is, uppercase hexadecimal representations of each octet, separated by colons). :&quot;source.androidApp.packageName&quot; (type: String.t) - Android App assets are naturally identified by their Java package name. For example, the Google Maps app uses the package name com.google.android.apps.maps. REQUIRED :&quot;source.web.site&quot; (type: String.t) - Web assets are identified by a URL that contains only the scheme, hostname and port parts. The format is http[s]://&lt;hostname&gt;[:&lt;port&gt;] Hostnames must be fully qualified: they must end in a single period (&quot;.&quot;). Only the schemes &quot;http&quot; and &quot;https&quot; are currently allowed. Port numbers are given as a decimal number, and they must be omitted if the standard port numbers are used: 80 for http and 443 for https. We call this limited URL the &quot;site&quot;. All URLs that share the same scheme, hostname and port are considered to be a part of the site and thus belong to the web asset. Example: the asset with the site https://www.google.com contains all these URLs: https://www.google.com/ https://www.google.com:443/ https://www.google.com/foo https://www.google.com/foo?bar https://www.google.com/foo#bar https://user@password:www.google.com/ But it does not contain these URLs: http://www.google.com/ (wrong scheme) https://google.com/ (hostname does not match) https://www.google.com:444/ (port does not match) REQUIRED :&quot;target.androidApp.certificate.sha256Fingerprint&quot; (type: String.t) - The uppercase SHA-265 fingerprint of the certificate. From the PEM certificate, it can be acquired like this: $ keytool -printcert -file $CERTFILE | grep SHA256: SHA256: 14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83: \\ 42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 or like this: $ openssl x509 -in $CERTFILE -noout -fingerprint -sha256 SHA256 Fingerprint=14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64: \\ 16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 In this example, the contents of this field would be 14:6D:E9:83:C5:73: 06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF: 44:E5. If these tools are not available to you, you can convert the PEM certificate into the DER format, compute the SHA-256 hash of that string and represent the result as a hexstring (that is, uppercase hexadecimal representations of each octet, separated by colons). :&quot;target.androidApp.packageName&quot; (type: String.t) - Android App assets are naturally identified by their Java package name. For example, the Google Maps app uses the package name com.google.android.apps.maps. REQUIRED :&quot;target.web.site&quot; (type: String.t) - Web assets are identified by a URL that contains only the scheme, hostname and port parts. The format is http[s]://&lt;hostname&gt;[:&lt;port&gt;] Hostnames must be fully qualified: they must end in a single period (&quot;.&quot;). Only the schemes &quot;http&quot; and &quot;https&quot; are currently allowed. Port numbers are given as a decimal number, and they must be omitted if the standard port numbers are used: 80 for http and 443 for https. We call this limited URL the &quot;site&quot;. All URLs that share the same scheme, hostname and port are considered to be a part of the site and thus belong to the web asset. Example: the asset with the site https://www.google.com contains all these URLs: https://www.google.com/ https://www.google.com:443/ https://www.google.com/foo https://www.google.com/foo?bar https://www.google.com/foo#bar https://user@password:www.google.com/ But it does not contain these URLs: http://www.google.com/ (wrong scheme) https://google.com/ (hostname does not match) https://www.google.com:444/ (port does not match) REQUIRED opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.DigitalAssetLinks.V1.Model.CheckResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DigitalAssetLinks.V1.Api.Assetlinks.html#digitalassetlinks_assetlinks_check/3","title":"GoogleApi.DigitalAssetLinks.V1.Api.Assetlinks.digitalassetlinks_assetlinks_check/3","type":"function"},{"doc":"API calls for all endpoints tagged Statements.","ref":"GoogleApi.DigitalAssetLinks.V1.Api.Statements.html","title":"GoogleApi.DigitalAssetLinks.V1.Api.Statements","type":"module"},{"doc":"Retrieves a list of all statements from a given source that match the specified target and statement string. The API guarantees that all statements with secure source assets, such as HTTPS websites or Android apps, have been made in a secure way by the owner of those assets, as described in the Digital Asset Links technical design specification. Specifically, you should consider that for insecure websites (that is, where the URL starts with http:// instead of https://), this guarantee cannot be made. The List command is most useful in cases where the API client wants to know all the ways in which two assets are related, or enumerate all the relationships from a particular source asset. Example: a feature that helps users navigate to related items. When a mobile app is running on a device, the feature would make it easy to navigate to the corresponding web site or Google+ profile. Parameters connection (type: GoogleApi.DigitalAssetLinks.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :relation (type: String.t) - Use only associations that match the specified relation. See the Statement message for a detailed definition of relation strings. For a query to match a statement, one of the following must be true: both the query&#39;s and the statement&#39;s relation strings match exactly, or the query&#39;s relation string is empty or missing. Example: A query with relation delegate_permission/common.handle_all_urls matches an asset link with relation delegate_permission/common.handle_all_urls. :&quot;source.androidApp.certificate.sha256Fingerprint&quot; (type: String.t) - The uppercase SHA-265 fingerprint of the certificate. From the PEM certificate, it can be acquired like this: $ keytool -printcert -file $CERTFILE | grep SHA256: SHA256: 14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83: \\ 42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 or like this: $ openssl x509 -in $CERTFILE -noout -fingerprint -sha256 SHA256 Fingerprint=14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64: \\ 16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 In this example, the contents of this field would be 14:6D:E9:83:C5:73: 06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF: 44:E5. If these tools are not available to you, you can convert the PEM certificate into the DER format, compute the SHA-256 hash of that string and represent the result as a hexstring (that is, uppercase hexadecimal representations of each octet, separated by colons). :&quot;source.androidApp.packageName&quot; (type: String.t) - Android App assets are naturally identified by their Java package name. For example, the Google Maps app uses the package name com.google.android.apps.maps. REQUIRED :&quot;source.web.site&quot; (type: String.t) - Web assets are identified by a URL that contains only the scheme, hostname and port parts. The format is http[s]://&lt;hostname&gt;[:&lt;port&gt;] Hostnames must be fully qualified: they must end in a single period (&quot;.&quot;). Only the schemes &quot;http&quot; and &quot;https&quot; are currently allowed. Port numbers are given as a decimal number, and they must be omitted if the standard port numbers are used: 80 for http and 443 for https. We call this limited URL the &quot;site&quot;. All URLs that share the same scheme, hostname and port are considered to be a part of the site and thus belong to the web asset. Example: the asset with the site https://www.google.com contains all these URLs: https://www.google.com/ https://www.google.com:443/ https://www.google.com/foo https://www.google.com/foo?bar https://www.google.com/foo#bar https://user@password:www.google.com/ But it does not contain these URLs: http://www.google.com/ (wrong scheme) https://google.com/ (hostname does not match) https://www.google.com:444/ (port does not match) REQUIRED opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.DigitalAssetLinks.V1.Model.ListResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DigitalAssetLinks.V1.Api.Statements.html#digitalassetlinks_statements_list/3","title":"GoogleApi.DigitalAssetLinks.V1.Api.Statements.digitalassetlinks_statements_list/3","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.DigitalAssetLinks.V1.","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html","title":"GoogleApi.DigitalAssetLinks.V1.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#delete/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#delete!/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#execute/2","title":"GoogleApi.DigitalAssetLinks.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#get/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#get!/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#head/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#head!/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#new/0","title":"GoogleApi.DigitalAssetLinks.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#new/1","title":"GoogleApi.DigitalAssetLinks.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#options/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#options!/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#patch/4","title":"GoogleApi.DigitalAssetLinks.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#patch!/4","title":"GoogleApi.DigitalAssetLinks.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#post/4","title":"GoogleApi.DigitalAssetLinks.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#post!/4","title":"GoogleApi.DigitalAssetLinks.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#put/4","title":"GoogleApi.DigitalAssetLinks.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#put!/4","title":"GoogleApi.DigitalAssetLinks.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#request/2","title":"GoogleApi.DigitalAssetLinks.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#request!/2","title":"GoogleApi.DigitalAssetLinks.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#trace/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#trace!/3","title":"GoogleApi.DigitalAssetLinks.V1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#t:option/0","title":"GoogleApi.DigitalAssetLinks.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Connection.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Connection.t/0","type":"type"},{"doc":"Describes an android app asset. Attributes certificate (type: GoogleApi.DigitalAssetLinks.V1.Model.CertificateInfo.t, default: nil) - Because there is no global enforcement of package name uniqueness, we also require a signing certificate, which in combination with the package name uniquely identifies an app. Some apps&#39; signing keys are rotated, so they may be signed by different keys over time. We treat these as distinct assets, since we use (package name, cert) as the unique ID. This should not normally pose any problems as both versions of the app will make the same or similar statements. Other assets making statements about the app will have to be updated when a key is rotated, however. (Note that the syntaxes for publishing and querying for statements contain syntactic sugar to easily let you specify apps that are known by multiple certificates.) REQUIRED packageName (type: String.t, default: nil) - Android App assets are naturally identified by their Java package name. For example, the Google Maps app uses the package name com.google.android.apps.maps. REQUIRED","ref":"GoogleApi.DigitalAssetLinks.V1.Model.AndroidAppAsset.html","title":"GoogleApi.DigitalAssetLinks.V1.Model.AndroidAppAsset","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.AndroidAppAsset.html#decode/2","title":"GoogleApi.DigitalAssetLinks.V1.Model.AndroidAppAsset.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Model.AndroidAppAsset.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Model.AndroidAppAsset.t/0","type":"type"},{"doc":"Uniquely identifies an asset. A digital asset is an identifiable and addressable online entity that typically provides some service or content. Examples of assets are websites, Android apps, Twitter feeds, and Plus Pages. Attributes androidApp (type: GoogleApi.DigitalAssetLinks.V1.Model.AndroidAppAsset.t, default: nil) - Set if this is an Android App asset. web (type: GoogleApi.DigitalAssetLinks.V1.Model.WebAsset.t, default: nil) - Set if this is a web asset.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.Asset.html","title":"GoogleApi.DigitalAssetLinks.V1.Model.Asset","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.Asset.html#decode/2","title":"GoogleApi.DigitalAssetLinks.V1.Model.Asset.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Model.Asset.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Model.Asset.t/0","type":"type"},{"doc":"Describes an X509 certificate. Attributes sha256Fingerprint (type: String.t, default: nil) - The uppercase SHA-265 fingerprint of the certificate. From the PEM certificate, it can be acquired like this: $ keytool -printcert -file $CERTFILE | grep SHA256: SHA256: 14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83: \\ 42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 or like this: $ openssl x509 -in $CERTFILE -noout -fingerprint -sha256 SHA256 Fingerprint=14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64: \\ 16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5 In this example, the contents of this field would be 14:6D:E9:83:C5:73: 06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF: 44:E5. If these tools are not available to you, you can convert the PEM certificate into the DER format, compute the SHA-256 hash of that string and represent the result as a hexstring (that is, uppercase hexadecimal representations of each octet, separated by colons).","ref":"GoogleApi.DigitalAssetLinks.V1.Model.CertificateInfo.html","title":"GoogleApi.DigitalAssetLinks.V1.Model.CertificateInfo","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.CertificateInfo.html#decode/2","title":"GoogleApi.DigitalAssetLinks.V1.Model.CertificateInfo.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Model.CertificateInfo.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Model.CertificateInfo.t/0","type":"type"},{"doc":"Response message for the CheckAssetLinks call. Attributes debugString (type: String.t, default: nil) - Human-readable message containing information intended to help end users understand, reproduce and debug the result. The message will be in English and we are currently not planning to offer any translations. Please note that no guarantees are made about the contents or format of this string. Any aspect of it may be subject to change without notice. You should not attempt to programmatically parse this data. For programmatic access, use the error_code field below. errorCode (type: list(String.t), default: nil) - Error codes that describe the result of the Check operation. linked (type: boolean(), default: nil) - Set to true if the assets specified in the request are linked by the relation specified in the request. maxAge (type: String.t, default: nil) - From serving time, how much longer the response should be considered valid barring further updates. REQUIRED","ref":"GoogleApi.DigitalAssetLinks.V1.Model.CheckResponse.html","title":"GoogleApi.DigitalAssetLinks.V1.Model.CheckResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.CheckResponse.html#decode/2","title":"GoogleApi.DigitalAssetLinks.V1.Model.CheckResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Model.CheckResponse.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Model.CheckResponse.t/0","type":"type"},{"doc":"Response message for the List call. Attributes debugString (type: String.t, default: nil) - Human-readable message containing information intended to help end users understand, reproduce and debug the result. The message will be in English and we are currently not planning to offer any translations. Please note that no guarantees are made about the contents or format of this string. Any aspect of it may be subject to change without notice. You should not attempt to programmatically parse this data. For programmatic access, use the error_code field below. errorCode (type: list(String.t), default: nil) - Error codes that describe the result of the List operation. maxAge (type: String.t, default: nil) - From serving time, how much longer the response should be considered valid barring further updates. REQUIRED statements (type: list(GoogleApi.DigitalAssetLinks.V1.Model.Statement.t), default: nil) - A list of all the matching statements that have been found.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.ListResponse.html","title":"GoogleApi.DigitalAssetLinks.V1.Model.ListResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.ListResponse.html#decode/2","title":"GoogleApi.DigitalAssetLinks.V1.Model.ListResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Model.ListResponse.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Model.ListResponse.t/0","type":"type"},{"doc":"Describes a reliable statement that has been made about the relationship between a source asset and a target asset. Statements are always made by the source asset, either directly or by delegating to a statement list that is stored elsewhere. For more detailed definitions of statements and assets, please refer to our API documentation landing page. Attributes relation (type: String.t, default: nil) - The relation identifies the use of the statement as intended by the source asset&#39;s owner (that is, the person or entity who issued the statement). Every complete statement has a relation. We identify relations with strings of the format &lt;kind&gt;/&lt;detail&gt;, where &lt;kind&gt; must be one of a set of pre-defined purpose categories, and &lt;detail&gt; is a free-form lowercase alphanumeric string that describes the specific use case of the statement. Refer to our API documentation for the current list of supported relations. Example: delegate_permission/common.handle_all_urls REQUIRED source (type: GoogleApi.DigitalAssetLinks.V1.Model.Asset.t, default: nil) - Every statement has a source asset. REQUIRED target (type: GoogleApi.DigitalAssetLinks.V1.Model.Asset.t, default: nil) - Every statement has a target asset. REQUIRED","ref":"GoogleApi.DigitalAssetLinks.V1.Model.Statement.html","title":"GoogleApi.DigitalAssetLinks.V1.Model.Statement","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.Statement.html#decode/2","title":"GoogleApi.DigitalAssetLinks.V1.Model.Statement.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Model.Statement.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Model.Statement.t/0","type":"type"},{"doc":"Describes a web asset. Attributes site (type: String.t, default: nil) - Web assets are identified by a URL that contains only the scheme, hostname and port parts. The format is http[s]://&lt;hostname&gt;[:&lt;port&gt;] Hostnames must be fully qualified: they must end in a single period (&quot;.&quot;). Only the schemes &quot;http&quot; and &quot;https&quot; are currently allowed. Port numbers are given as a decimal number, and they must be omitted if the standard port numbers are used: 80 for http and 443 for https. We call this limited URL the &quot;site&quot;. All URLs that share the same scheme, hostname and port are considered to be a part of the site and thus belong to the web asset. Example: the asset with the site https://www.google.com contains all these URLs: https://www.google.com/ https://www.google.com:443/ https://www.google.com/foo https://www.google.com/foo?bar https://www.google.com/foo#bar https://user@password:www.google.com/ But it does not contain these URLs: http://www.google.com/ (wrong scheme) https://google.com/ (hostname does not match) https://www.google.com:444/ (port does not match) REQUIRED","ref":"GoogleApi.DigitalAssetLinks.V1.Model.WebAsset.html","title":"GoogleApi.DigitalAssetLinks.V1.Model.WebAsset","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DigitalAssetLinks.V1.Model.WebAsset.html#decode/2","title":"GoogleApi.DigitalAssetLinks.V1.Model.WebAsset.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DigitalAssetLinks.V1.Model.WebAsset.html#t:t/0","title":"GoogleApi.DigitalAssetLinks.V1.Model.WebAsset.t/0","type":"type"}]